Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: MetaSearch Catalogue Client

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25244

Description

In MetaSearch the Add Data button is broken.

To reproduce: 

- add Default servers 

- select Netherlands: National CSW

- search for Nieuwegein

- select first result 'Adressen Nieuwegein'

- try to add the data to the map via Add Data button/Add WMS/WMTS

AttributeError: 'QDialog' object has no attribute 'on_btnConnect_clicked' 

Traceback (most recent call last):

  File "/home/richard/bin/qgis_all/master/debug/share/qgis/python/plugins/MetaSearch/dialogs/maindialog.py", line 792, in add_to_ows

    getattr(ows_provider, connect)()

AttributeError: 'QDialog' object has no attribute 'on_btnConnect_clicked'

Has probably to to with the changes in the WMS dialog's to become part of the Data Source Manager dialog? I know the connection

between MetaSearch and ows services was a little fragile...

Related issues:

Duplicated by QGIS Application - Bug report # 17497: Metasearch 'QDialog' obj... Closed 2017-11-20

Associated revisions

Revision 1b79177b - 2017-11-17 05:35 PM - Alessandro Pasotti 

[bugfix] Fix WFS in metasearch

Fixes #17347

Revision 3ea8b74e - 2017-11-17 10:24 PM - Tom Kralidis

[bugfix] [MetaSearch] fix Esri ArcGIS service chaining (fixes #17347)

Revision af6b4cc7 - 2017-11-18 02:01 AM - Tom Kralidis

Merge pull request #5671 from tomkralidis/issue-17347

[bugfix] [MetaSearch] fix Esri ArcGIS service chaining (fixes #17347)
History

#1 - 2017-11-07 03:19 PM - Tom Kralidis

Looks like this part of the code needs updating based on the provider changes in master:

https://github.com/qgis/QGIS/blob/master/python/plugins/MetaSearch/dialogs/maindialog.py#L759-L792

The basic workflow is:

- add OWS URL from MetaSearch to QGIS connections

- open given provider (WMS/WMTS, WFS, WCS, etc.) connecting to the OWS URL from the QGIS connection combo (referenced by index)

#2 - 2017-11-13 04:58 PM - Alessandro Pasotti

The  'on_btnConnect_clicked' slot has been renamed to  'btnConnect_clicked'

#3 - 2017-11-13 05:03 PM - Tom Kralidis

Changed (locally) with erroneous results per [1].

[1] http://osgeo-org.1560.x6.nabble.com/QGIS-Developer-MetaSearch-provider-connections-in-master-td5342407.html

#4 - 2017-11-13 05:29 PM - Tom Kralidis

Here is a standalone example workflow: https://gist.github.com/tomkralidis/dccb49efa760a585be38ee0c3188b8b3

when calling btnConnect_clicked, clicking ANY of the 'Ok', 'Close', or 'Add' buttons in the 'Add Layer(s) from a WMS Server' widget adds the layer.  I'm not

sure why 'Ok', or 'Close' would have the same behaviour as 'Add' when calling from Python

#5 - 2017-11-13 08:53 PM - Richard Duivenvoorde

- File failingWFS.png added

Heard a special Request from Mr Pasotti :-)

Failing WFS too...

Again: select Netherlands National CSW

Search for 'gemeenten' = dutch municipalities

Select dataset 'Grenzen van alle Nederlandse gemeenten' (Borders of all dutch municipalities)

Select Add Data / Add WFS: Bingo   (see screenshot)

#6 - 2017-11-17 04:29 PM - Alessandro Pasotti

- Assignee changed from Tom Kralidis to Alessandro Pasotti

Let me have a deeper look ...
#7 - 2017-11-17 05:36 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Easy fix? changed from No to Yes

https://github.com/qgis/QGIS/pull/5669

#8 - 2017-11-17 05:36 PM - Alessandro Pasotti

- Status changed from Open to In Progress

#9 - 2017-11-17 07:12 PM - Anonymous

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|1b79177bc95be0afdb3369fd3befa2747e5d5963.

#10 - 2017-11-17 10:27 PM - Tom Kralidis

Added fixes for Esri services.  WCS continues to work accordingly.

#11 - 2017-11-18 11:48 AM - Richard Duivenvoorde

Tested and working again \o/

Thanks people!

#12 - 2017-11-20 02:14 PM - Jürgen Fischer

- Duplicated by Bug report #17497: Metasearch 'QDialog' object has no attribute 'on_btnConnect_clicked'  added

Files
